SVN devscripts commit: r564 - in trunk: . debian scripts
Adam D. Barratt
adam-guest at alioth.debian.org
Fri Mar 16 16:25:36 CET 2007
Author: adam-guest
Date: 2007-03-16 15:25:36 +0000 (Fri, 16 Mar 2007)
New Revision: 564
Added:
trunk/scripts/manpage-alert.1
trunk/scripts/manpage-alert.sh
Modified:
trunk/README
trunk/conf.default.in
trunk/debian/changelog
trunk/debian/control
Log:
Add manpage-alert (Closes: #414907)
Modified: trunk/README
===================================================================
--- trunk/README 2007-03-13 16:31:40 UTC (rev 563)
+++ trunk/README 2007-03-16 15:25:36 UTC (rev 564)
@@ -134,6 +134,8 @@
- grep-excuses [wget]: grep the update_excuses.html file to find out
what is happening to your packages.
+- manpage-alert [man-db]: locate binaries without corresponding manpages.
+
- mass-bug [mailx | mailutils]: mass-file bug reports
- mergechanges: merge .changes files from the same release but built
Modified: trunk/conf.default.in
===================================================================
--- trunk/conf.default.in 2007-03-13 16:31:40 UTC (rev 563)
+++ trunk/conf.default.in 2007-03-16 15:25:36 UTC (rev 564)
@@ -297,6 +297,10 @@
#
# No variables currently
+##### manpage-alert
+#
+# No variables currently
+
##### mass-bug
#
# No variables currently
Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog 2007-03-13 16:31:40 UTC (rev 563)
+++ trunk/debian/changelog 2007-03-16 15:25:36 UTC (rev 564)
@@ -76,6 +76,8 @@
* dscverify: Add --nosigcheck (Closes: #397720)
* uscan: Fix typo in error message when combining --report-status and
--verbose
+ * manpage-alert: New script to locate binaries without corresponding
+ manpages (Closes: #414907)
[ James Vega ]
* debian/control: Add myself to the Uploaders list.
@@ -84,7 +86,7 @@
* scripts/Makefile: Specify an include directory when running Perl in order
to handle the source restructuring.
- -- Adam D. Barratt <debian-bts at adam-barratt.org.uk> Tue, 13 Mar 2007 16:28:09 +0000
+ -- Adam D. Barratt <debian-bts at adam-barratt.org.uk> Thu, 15 Mar 2007 20:50:14 +0000
devscripts (2.9.27) unstable; urgency=low
Modified: trunk/debian/control
===================================================================
--- trunk/debian/control 2007-03-13 16:31:40 UTC (rev 563)
+++ trunk/debian/control 2007-03-16 15:25:36 UTC (rev 564)
@@ -13,7 +13,7 @@
Conflicts: debmake (<< 3.5), dupload (<< 2.1), suidmanager (<< 0.51)
Depends: dpkg-dev, debianutils (>= 2.0), perl (>= 5.8), sed (>= 2.95), ${shlibs:Depends}, ${misc:Depends}
Recommends: fakeroot
-Suggests: devscripts-el, at, build-essential, cvs-buildpackage, cvs | subversion | tla | bzr | git, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx | mailutils, mutt, patch, patchutils, ssh, strace, wdiff, wget, www-browser
+Suggests: devscripts-el, at, build-essential, cvs-buildpackage, cvs | subversion | tla | bzr | git, debian-keyring, dupload (>=2.1) | dput, gnupg (>= 1.0.7), gnuplot, libdigest-md5-perl, libtimedate-perl, libwww-perl, lintian | linda, mailx | mailutils, man-db, mutt, patch, patchutils, ssh, strace, wdiff, wget, www-browser
Description: Scripts to make the life of a Debian Package maintainer easier
Contains the following scripts, dependencies/recommendations shown in
brackets afterwards:
@@ -61,6 +61,7 @@
- dscverify: verify the integrity of a Debian package from the
.changes or .dsc files [gnupg, debian-keyring, libdigest-md5-perl]
- grep-excuses: grep the update_excuses.html file for your packages [wget]
+ - manpage-alert: locate binaries without corresponding manpages [man-db]
- mass-bug: mass-file bug reports [mailx | mailutils]
- mergechanges: merge .changes files from a package built on different
architectures
Added: trunk/scripts/manpage-alert.1
===================================================================
--- trunk/scripts/manpage-alert.1 2007-03-13 16:31:40 UTC (rev 563)
+++ trunk/scripts/manpage-alert.1 2007-03-16 15:25:36 UTC (rev 564)
@@ -0,0 +1,28 @@
+.TH MANPAGE-ALERT 1 "Debian Utilities" "DEBIAN" \" -*- nroff -*-
+.SH NAME
+manpage-alert \- check for binaries without corresponding manpages
+.SH SYNOPSIS
+\fBmanpage-alert\fR \fI[path list]\fR
+.br
+\fBmanpage-alert \-\-help|\-\-version\fR
+.SH DESCRIPTION
+\fBmanpage-alert\fR searches the given list of paths for binaries without
+corresponding manpages.
+.P
+If no paths are specified on the command line, the path list
+\fI/bin /sbin /usr/bin /usr/sbin /usr/games\fR will be assumed.
+.SH OPTIONS
+.BR \-\-help ", " \-h
+Show a summary of options.
+.TP
+.BR \-\-version ", " \-v
+Show version and copyright information.
+.SH AUTHOR
+\fBmanpage-alert\fR was written by Branden Robinson and modified by
+Julian Gilbey <jdg at debian.org> and Adam D. Barratt
+<debian\-bts at adam\-barratt.org.uk> (who also wrote this manpage) for the
+devscripts package.
+.P
+This manpage and the associated program are licensed under the terms of
+the GPL, version 2 or later.
+
Added: trunk/scripts/manpage-alert.sh
===================================================================
--- trunk/scripts/manpage-alert.sh 2007-03-13 16:31:40 UTC (rev 563)
+++ trunk/scripts/manpage-alert.sh 2007-03-16 15:25:36 UTC (rev 564)
@@ -0,0 +1,82 @@
+#!/bin/bash
+#
+# Copyright 2005 Branden Robinson
+# Changes copyright 2007 by their respective authors
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+usage() {
+ cat <<EOF
+Usage: manpage-alert [options | paths]
+ Options:
+ -h, --help This usage screen.
+ -V, --version Display the version and copyright information
+
+ This script will locate executables in the given paths for which no
+ manpage is available.
+
+ If no paths are specified on the command line, "/bin /sbin /usr/bin
+ /usr/sbin /usr/games" will be used by default.
+EOF
+}
+
+version() {
+ cat <<EOF
+This is manpage-alert, from the Debian devscripts package, version ###VERSION###
+This code is (C) 2005 by Branden Robinson, all rights reserved.
+This program comes with ABSOLUTELY NO WARRANTY.
+You are free to redistribute this code under the terms of the
+GNU General Public License, version 2 or later.
+EOF
+}
+
+case "$1" in
+ --help|-h) usage; exit 0;;
+ --version|-V) version; exit 0;;
+esac
+
+if [ $# -lt 1 ]; then
+ set -- /bin /sbin /usr/bin /usr/sbin /usr/games
+fi
+
+NUM_EXECUTABLES=0
+NUM_MANPAGES_FOUND=0
+NUM_MANPAGES_MISSING=0
+
+for DIR in "$@"; do
+ for F in "$DIR"/*; do
+ # Skip as it's a symlink to /usr/bin
+ if [ "$F" = "/usr/bin/X11" ]; then continue; fi
+
+ NUM_EXECUTABLES=$(( $NUM_EXECUTABLES + 1 ))
+
+ OUT=$(man -w -S 1:8:6 "${F##*/}" 2>&1 >/dev/null)
+ RET=$?
+ if [ $RET = "0" ]; then
+ NUM_MANPAGES_FOUND=$(( $NUM_MANPAGES_FOUND + 1 ))
+ else
+ echo "$OUT" | sed -e "/^.*'man 7 undocumented'.*$/ d" \
+ -e "s,\(.\)\b${F##*/}(\b|$),\1$F," -e 's,//,/,'
+ NUM_MANPAGES_MISSING=$(( $NUM_MANPAGES_MISSING + 1 ))
+ fi
+ done
+done
+
+printf "Of %d commands, found manpages for %d (%d missing).\n" \
+ $NUM_EXECUTABLES \
+ $NUM_MANPAGES_FOUND \
+ $NUM_MANPAGES_MISSING
+
+# vim:set ai et sw=4 ts=4 tw=80:
Property changes on: trunk/scripts/manpage-alert.sh
___________________________________________________________________
Name: svn:executable
+ *
More information about the Devscripts-devel
mailing list